NIX-INSTALL-PACKAG(1)

NAME
nix-install-package - install a Nix Package file

SYNOPSIS

nix-install-package [--non-interactive] [{--profile | -p} path] [--set]
{{--url url} | {file}}

DESCRIPTION

The command nix-install-package interactively installs a Nix Package file (*.nixpkg), which is a small file that contains a store path to be installed along with the URL of a binary cache. The Nix Package file is either file, or automatically downloaded from url if the --url switch is used.

nix-install-package is used in one-click installs to download and install pre-built binary packages with all necessary dependencies. nix-install-package is intended to be associated with the MIME type application/nix-package in a web browser so that it is invoked automatically when you click on *.nixpkg files. When invoked, it restarts itself in a terminal window (since otherwise it would be invisible when run from a browser), asks the user to confirm whether to install the package, and if so downloads and installs the package into the user’s current profile.

To obtain a window, nix-install-package tries to restart itself with xterm, konsole and gnome-terminal.

OPTIONS

--non-interactive
    Do not open a new terminal window and do not ask for confirmation.

--profile, -p
    Install the package into the specified profile rather than the user’s current profile.

--set
    Install the package as the profile so that the profile contains exactly the contents of the package.

EXAMPLES

To install subversion-1.4.0.nixpkg into the user’s current profile, without any prompting:

    $ nix-install-package --non-interactive subversion-1.4.0.nixpkg

To install the same package from some URL into a different profile:

    $ nix-install-package --non-interactive -p /nix/var/nix/profiles/eelco \
        --url http://nix.cs.uu.nl/dist/nix/nixpkgs-0.10pre6622/pkgs/subversion-1.4.0-i686-linux.nixpkg

FORMAT OF NIXPKG FILES

A Nix Package file consists of a single line with the following format:

    NIXPKG1 manifestURL name system drvPath outPath

The elements are as follows:

NIXPKG1
    The version of the Nix Package file.

manifestURL
    The manifest to be pulled by nix-pull. The manifest must contain outPath.

name
    The symbolic name and version of the package.

system
    The platform identifier of the platform for which this binary package is intended.

drvPath
    The path in the Nix store of the derivation from which outPath was built. Not currently used.

outPath
    The path in the Nix store of the package.

binaryCacheURL
    The URL of a binary cache containing the closure of outPath.

An example follows:

    NIXPKG1 http://.../nixpkgs-0.10pre6622/MANIFEST subversion-1.4.0 i686-darwin \
      /nix/store/4kh60jkp...-subversion-1.4.0.drv \
      /nix/store/nkw7wpgb...-subversion-1.4.0

(The line breaks (\) are for presentation purposes and not part of the actual file.)

AUTHOR

Eelco Dolstra
LogicBlox
    Author

COPYRIGHT
Copyright © 2004-2014 Eelco Dolstra